# -*- encoding: utf-8 -*-
# stub: sensu-plugins-logstash 2.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-logstash".freeze
  s.version = "2.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@mattyjones", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2018-03-15"
  s.description = "This plugin provides native logstash instrumentation\n                              for monitoring, including: a handler for sending events\n                              to logstash.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["handler-logstash.rb".freeze, "metrics-logstash-node.rb".freeze]
  s.files = ["bin/handler-logstash.rb".freeze, "bin/metrics-logstash-node.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-logstash".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for working with logstash".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, ["< 2.0.0"])
    s.add_runtime_dependency(%q<redis>.freeze, ["= 3.2.1"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.1"])
  else
    s.add_dependency(%q<json>.freeze, ["< 2.0.0"])
    s.add_dependency(%q<redis>.freeze, ["= 3.2.1"])
    s.add_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.1"])
  end
end
